﻿Anritsu                                                     MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC DDS Calibration /N5531S
DATE:                  2014-03-04 13:08:31
AUTHOR:                Al Shannon
REVISION:              $Revision: 8095 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       126
CONFIGURATION:         Agilent PSA
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_ddscal_n5531s.mc $
#    $Date: 2014-06-10 06:38:50 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#        Sub MG369XC Level Adj Connection /N5531S
#        Sub MG369XC Init Measure Flatness Power /N5531S
#        Sub MG369XC Measure Flatness Power /N5531S
#        Sub MG369XC Level Adj Connection /N5531S
#        Sub Get Offset Value
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         {DDS Offset Calibration}
  1.002  HEAD         -2

# DDS Offset Calibration
# WHX is not needed and not sent following completion of DDS Offset Cal
  1.003  IEEE         RST[D2000]RF0
  1.004  IEEE         CSB SQ1 MB2D SB1 WH1[D2000]
  1.005  IEEE         WHF159[SRQ60000]

  1.006  HEAD         {DDS Flatness Calibration}
  1.007  HEAD         -2

# DDS Flatness Calibration

  1.008  IEEE         CSB WHF160[D50]

  1.009  TARGET       -p

# Prepare the N5531S for flatness cal measurements
  1.010  MATH         @FreqGHz = 0.0001
  1.011  MATH         @LvldBm = 18
  1.012  MATH         @ConnPadValue = 0
  1.013  CALL         Sub MG369XC Level Adj Connection /N5531S
  1.014  CALL         Sub MG369XC Init Measure Flatness Power /N5531S

  1.015  MATH         startFreqHz = 100E+3
  1.016  MATH         stopFreqHz = 10E+6

  1.017  MATH         startStep = 0

  1.018  IF           @Opt_2
  1.019  MATH         stopStep = 4
  1.020  ELSE
  1.021  MATH         stopStep = 0
  1.022  ENDIF

  1.023  MATH         freqHz = startFreqHz
  1.024  WHILE        freqHz <= stopFreqHz

  1.025  TARGET       -p

  1.026  MATH         @FreqGHz = freqHz * 1E-9
  1.027  MATH         @LvldBm = 18
  1.028  MATH         @ConnPadValue = 0
  1.029  CALL         Sub MG369XC Level Adj Connection /N5531S
  1.030  MATH         @Offset_FreqGHz = @FreqGHz
  1.031  CALL         Sub Get Offset Value

  1.032  IEEE2        [@N5531S]:sens:freq:cent [V freqHz] hz

  1.033  MATH         @Step = startStep
  1.034  WHILE        @Step <= stopStep

  1.035  TARGET       -p

  1.036  MATH         S[1] = "00" & @Step
  1.037  MATH         S[2] = SUB(S[1],LEN(S[1])-1, 2)
  1.038  MATH         freqKHz = freqHz * 1E-3

  1.039  MATH         S[3] = "Freq " & FMT(freqKHz,"%6.0f")
  1.040  MATH         S[3] = S[3] & " KHz  Step " & S[2]
  1.041  HEAD         -2[S3]

# Set the attenuation step and the freq the DUT should output
  1.042  IEEE         ATT[SREG2] FRQ[V freqKHz]X[D50]

  1.043  CALL         Sub MG369XC Measure Flatness Power /N5531S

  1.044  MATH         L[1] = RND(@FlatnessPower * 1000)

  1.045  IEEE         PAD[L1]X[D100]

  1.046  MATH         @Step = @Step + 1
  1.047  ENDW

  1.048  MATH         freqHz = freqHz + 100E+3
  1.049  ENDW

  1.050  TARGET       -p

  1.051  IEEE         WHX PGM [SRQ60000] WH0
  1.052  WAIT         -a -t 15 Please wait for the unit to restart

  1.053  END
