﻿Anritsu                                                     MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Get Offset Value
DATE:                  2014-02-22 13:33:55
AUTHOR:                Al Shannon
REVISION:              $Revision: 8106 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       115
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_get_offset_value.mc $
#    $Date: 2014-06-10 07:17:23 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Input:
#        @Offset_FreqGHz   This is current test frequency
#        @Connection_Type  This is current connection configuration
#
#  Output:
#        @Offset_Value
#        @Error
#
#  Subprocedures:
#        Sub Get Item Offset Value
#
#  Required Files:
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# If there's an error in calculating the offset value the output global
# variable will be undefined.
  1.001  MATH         DEL("@Offset_Value")

# Sub Get Item Offset Value will set @Error if an error occurs.
  1.002  MATH         @Error = 0

  1.003  IF           FIND(@Connection_Type, "PSA_direct_K", 0)
  1.004  MATH         @Connection_Item = "3670K50"
  1.005  CALL         Sub Get Item Offset Value
  1.006  MATH         Offset_Value_1 = @Connection_Item_Offset_Value
  1.007  MATH         @Connection_Item = "11904D"
  1.008  CALL         Sub Get Item Offset Value
  1.009  MATH         Offset_Value_2 = @Connection_Item_Offset_Value

  1.010  ELSEIF       FIND(@Connection_Type, "PSA_direct_V", 0)
  1.011  MATH         @Connection_Item = "3670V50A"
  1.012  CALL         Sub Get Item Offset Value
  1.013  MATH         Offset_Value_1 = @Connection_Item_Offset_Value
  1.014  MATH         @Connection_Item = "PE9673"
  1.015  CALL         Sub Get Item Offset Value
  1.016  MATH         Offset_Value_2 = @Connection_Item_Offset_Value

  1.017  ELSEIF       FIND(@Connection_Type, "PS_504_to_K", 0)
  1.018  MATH         @Connection_Item = "34NFK50"
  1.019  CALL         Sub Get Item Offset Value
  1.020  MATH         Offset_Value_1 = @Connection_Item_Offset_Value
  1.021  MATH         Offset_Value_2 = 0

  1.022  ELSEIF       FIND(@Connection_Type, "PS_504_to_V", 0)
  1.023  MATH         @Connection_Item = "34VKF50"
  1.024  CALL         Sub Get Item Offset Value
  1.025  MATH         Offset_Value_1 = @Connection_Item_Offset_Value
  1.026  MATH         @Connection_Item = "34NFK50"
  1.027  CALL         Sub Get Item Offset Value
  1.028  MATH         Offset_Value_2 = @Connection_Item_Offset_Value

  1.029  ELSEIF       FIND(@Connection_Type, "PS_550_to_K", 0)
  1.030  MATH         @Connection_Item = "11904D"
  1.031  CALL         Sub Get Item Offset Value
  1.032  MATH         Offset_Value_1 = @Connection_Item_Offset_Value
  1.033  MATH         Offset_Value_2 = 0

  1.034  ELSEIF       FIND(@Connection_Type, "PS_550_to_V", 0)
  1.035  MATH         @Connection_Item = "PE9673"
  1.036  CALL         Sub Get Item Offset Value
  1.037  MATH         Offset_Value_1 = @Connection_Item_Offset_Value
  1.038  MATH         Offset_Value_2 = 0

  1.039  ELSE
  1.040  DISP         =Unknown Connection type: [V @Connection_Type]
  1.041  MATH         @Error = 1
  1.042  ENDIF

  1.043  IF           FIND(@Connection_Type, "K_10dB", 0)
  1.044  MATH         @Connection_Item = "Anritsu 41KC-10"
  1.045  CALL         Sub Get Item Offset Value
  1.046  MATH         Pad_Value = @Connection_Item_Offset_Value
  1.047  ELSEIF       FIND(@Connection_Type, "V_10dB", 0)
  1.048  MATH         @Connection_Item = "Anritsu 41V-10"
  1.049  CALL         Sub Get Item Offset Value
  1.050  MATH         Pad_Value = @Connection_Item_Offset_Value
  1.051  ELSE
  1.052  MATH         Pad_Value = 0
  1.053  ENDIF

  1.054  IF           NOT(@Error)
  1.055  MATH         @Offset_Value = Offset_Value_1 + Offset_Value_2
  1.056  MATH         @Offset_Value = @Offset_Value + Pad_Value
  1.057  ENDIF
  1.058  END
