﻿Anritsu                                                     MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Search for Max Power Values /N5531S
DATE:                  2014-03-04 12:12:41
AUTHOR:                Al Shannon
REVISION:              $Revision: 8101 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       197
CONFIGURATION:         Agilent PSA (233)
CONFIGURATION:         Agilent EPM
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_max_power_search_n5531s.mc $
#    $Date: 2014-06-10 06:41:35 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#        Sub MG369XC Level Adj Connection /N5531S
#        Sub Get Offset Value
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         Search for Maximum Power Levels
  1.002  HEAD         -2

# Reset the DUT, wait a bit, set fixed gain mode, and set the power
  1.003  IF           @FirmwareVer >= 3.2
  1.004  IEEE         RST[D2000]RF0 LV0 L1 16383 DB[D50]
  1.005  ELSE
  1.006  IEEE         RST[D2000]RF0 LV0 L1 10 DB[D50]
  1.007  ENDIF

  1.008  MATH         @LvldBm = 16

# Set the sensor switch freq to the lowest start freq value so only one
# power sensor will be needed.
  1.009  MATH         @N5532_PS_Switch_Freq = 0.1

# If unit has down converter search for max power in down converter band
  1.010  IF           @Opt_4 || @Opt_5

  1.011  MATH         startFreqGHz = MAX2(0.1, @FreqLowGHz)

  1.012  IF           @Opt_4
  1.013  MATH         stopFreqGHz = 2.2
  1.014  ELSE
  1.015  MATH         stopFreqGHz = 2
  1.016  ENDIF

  1.017  MATH         @FreqGHz = startFreqGHz + 0.001

# Include a 10 dB attenuator in the connection
  1.018  MATH         @ConnPadValue = 10
  1.019  CALL         Sub MG369XC Level Adj Connection /N5531S

  1.020  N5531        RefFreqOutput = 10 MHz
  1.020  N5531        Freq = [V @FreqGHz]GHz; SensorModule = Same
  1.020  N5531        +Power = [V @LvldBm]dBm; Setup
  1.021  IEEE2        [@N5531S]:sens:freq:cent [V @FreqGHz] ghz

  1.022  IEEE         CF1[V @FreqGHz]GH RF1[D50]

  1.023  N5531        RefFreqOutput = 10 MHz
  1.023  N5531        Freq = [V @FreqGHz]GHz; SensorModule = Same
  1.023  N5531        +Power = [V @LvldBm]dBm; Read

  1.024  MATH         @Offset_FreqGHz = @FreqGHz
  1.025  CALL         Sub Get Offset Value
  1.026  MATH         @DCMaxPower = MEM + @Offset_Value
  1.027  MATH         @DCMaxFreq = @FreqGHz


  1.028  MATH         @FreqGHz = startFreqGHz + 0.050
  1.029  WHILE        @FreqGHz <= stopFreqGHz

  1.030  IF           @FreqGHz == stopFreqGHz
  1.031  MATH         @FreqGHz = @FreqGHz - 0.001
  1.032  ENDIF

  1.033  TARGET       -p

  1.034  IEEE         CF1[V @FreqGHz]GH[D50]

  1.035  IEEE2        [@N5531S]:sens:freq:cent [V @FreqGHz] ghz
  1.036  N5531        RefFreqOutput = 10 MHz
  1.036  N5531        Freq = [V @FreqGHz]GHz; SensorModule = Same
  1.036  N5531        +Power = [V @LvldBm]dBm; Read

  1.037  MATH         @Offset_FreqGHz = @FreqGHz
  1.038  CALL         Sub Get Offset Value
# In the down converter band we want the highest max power freq
  1.039  IF           MEM + @Offset_Value >= @DCMaxPower
  1.040  MATH         @DCMaxPower = MEM + @Offset_Value
  1.041  MATH         @DCMaxFreq = @FreqGHz
  1.042  ENDIF

# Provide a little feedback to the operator
  1.043  MATH         S[1] = "Freq: " & FMT(@FreqGHz,"%6.3f")
  1.044  MATH         S[2] = " GHz  Power: " & FMT(MEM+10,"%6.3f")
  1.045  MATH         s[3] = " dBm  Max: " & FMT(@DCMaxPower,"%6.3f")
  1.046  HEAD         -2[S1][S2][S3] dBm

  1.047  MATH         @FreqGHz = @FreqGHz + 0.050
  1.048  ENDW

  1.049  ENDIF        ; @Opt_4 || @Opt_5

  1.050  TARGET       -p

# Search for max power in main band
  1.051  IF           @Opt_4
  1.052  MATH         startFreqGHz = 2.2
  1.053  ELSE
  1.054  MATH         startFreqGHz = 2
  1.055  ENDIF

  1.056  MATH         stopFreqGHz = MIN2(8.4, @FreqHighGHz)

  1.057  MATH         @FreqGHz = startFreqGHz + 0.001

# Include a 10 dB attenuator in the connection
  1.058  MATH         @ConnPadValue = 10
  1.059  CALL         Sub MG369XC Level Adj Connection /N5531S

  1.060  N5531        RefFreqOutput = 10 MHz
  1.060  N5531        Freq = [V @FreqGHz]GHz; SensorModule = Same
  1.060  N5531        +Power = [V @LvldBm]dBm; Setup
  1.061  IEEE2        [@N5531S]:sens:freq:cent [V @FreqGHz] ghz

  1.062  IEEE         CF1[V @FreqGHz]GH RF1[D50]

  1.063  N5531        RefFreqOutput = 10 MHz
  1.063  N5531        Freq = [V @FreqGHz]GHz; SensorModule = Same
  1.063  N5531        +Power = [V @LvldBm]dBm; Read

  1.064  MATH         @Offset_FreqGHz = @FreqGHz
  1.065  CALL         Sub Get Offset Value
  1.066  MATH         @MainMaxPower = MEM + @Offset_Value
  1.067  MATH         @MainMaxFreq = @FreqGHz


  1.068  MATH         @FreqGHz = startFreqGHz + 0.050
  1.069  WHILE        @FreqGHz <= stopFreqGHz

  1.070  TARGET       -p

  1.071  IF           @FreqGHz == stopFreqGHz
  1.072  MATH         @FreqGHz = @FreqGHz - 0.001
  1.073  ENDIF

  1.074  IEEE         CF1[V @FreqGHz]GH[D50]

  1.075  IEEE2        [@N5531S]:sens:freq:cent [V @FreqGHz] ghz
  1.076  N5531        RefFreqOutput = 10 MHz
  1.076  N5531        Freq = [V @FreqGHz]GHz; SensorModule = Same
  1.076  N5531        +Power = [V @LvldBm]dBm; Read

  1.077  MATH         @Offset_FreqGHz = @FreqGHz
  1.078  CALL         Sub Get Offset Value
# In the main band we want the lowest max power freq
  1.079  IF           MEM + @Offset_Value > @MainMaxPower
  1.080  MATH         @MainMaxPower = MEM + @Offset_Value
  1.081  MATH         @MainMaxFreq = @FreqGHz
  1.082  ENDIF

# Provide a little feedback to the operator
  1.083  MATH         S[1] = "Freq: " & FMT(@FreqGHz,"%6.3f")
  1.084  MATH         S[2] = " GHz  Power: " & FMT(MEM+10,"%6.3f")
  1.085  MATH         s[3] = " dBm  Max: " & FMT(@MainMaxPower,"%6.3f")
  1.086  HEAD         -2[S1][S2][S3] dBm

  1.087  MATH         @FreqGHz = @FreqGHz + 0.050
  1.088  ENDW

  1.089  MATH         @ConnPadValue = 0
  1.090  HEAD
  1.091  HEAD         -2

  1.092  END
